Index: contrib/pgcrypto/sha2.c
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/pgcrypto/sha2.c,v
retrieving revision 1.3
diff -c -r1.3 sha2.c
*** contrib/pgcrypto/sha2.c	11 Jul 2005 15:40:38 -0000	1.3
--- contrib/pgcrypto/sha2.c	12 Jul 2005 18:00:03 -0000
***************
*** 170,176 ****
  
  /*** SHA-XYZ INITIAL HASH VALUES AND CONSTANTS ************************/
  /* Hash constant words K for SHA-256: */
! const static uint32 K256[64] = {
  	0x428a2f98UL, 0x71374491UL, 0xb5c0fbcfUL, 0xe9b5dba5UL,
  	0x3956c25bUL, 0x59f111f1UL, 0x923f82a4UL, 0xab1c5ed5UL,
  	0xd807aa98UL, 0x12835b01UL, 0x243185beUL, 0x550c7dc3UL,
--- 170,176 ----
  
  /*** SHA-XYZ INITIAL HASH VALUES AND CONSTANTS ************************/
  /* Hash constant words K for SHA-256: */
! static const uint32 K256[64] = {
  	0x428a2f98UL, 0x71374491UL, 0xb5c0fbcfUL, 0xe9b5dba5UL,
  	0x3956c25bUL, 0x59f111f1UL, 0x923f82a4UL, 0xab1c5ed5UL,
  	0xd807aa98UL, 0x12835b01UL, 0x243185beUL, 0x550c7dc3UL,
***************
*** 190,196 ****
  };
  
  /* Initial hash value H for SHA-256: */
! const static uint32 sha256_initial_hash_value[8] = {
  	0x6a09e667UL,
  	0xbb67ae85UL,
  	0x3c6ef372UL,
--- 190,196 ----
  };
  
  /* Initial hash value H for SHA-256: */
! static const uint32 sha256_initial_hash_value[8] = {
  	0x6a09e667UL,
  	0xbb67ae85UL,
  	0x3c6ef372UL,
***************
*** 202,208 ****
  };
  
  /* Hash constant words K for SHA-384 and SHA-512: */
! const static uint64 K512[80] = {
  	0x428a2f98d728ae22ULL, 0x7137449123ef65cdULL,
  	0xb5c0fbcfec4d3b2fULL, 0xe9b5dba58189dbbcULL,
  	0x3956c25bf348b538ULL, 0x59f111f1b605d019ULL,
--- 202,208 ----
  };
  
  /* Hash constant words K for SHA-384 and SHA-512: */
! static const uint64 K512[80] = {
  	0x428a2f98d728ae22ULL, 0x7137449123ef65cdULL,
  	0xb5c0fbcfec4d3b2fULL, 0xe9b5dba58189dbbcULL,
  	0x3956c25bf348b538ULL, 0x59f111f1b605d019ULL,
***************
*** 246,252 ****
  };
  
  /* Initial hash value H for SHA-384 */
! const static uint64 sha384_initial_hash_value[8] = {
  	0xcbbb9d5dc1059ed8ULL,
  	0x629a292a367cd507ULL,
  	0x9159015a3070dd17ULL,
--- 246,252 ----
  };
  
  /* Initial hash value H for SHA-384 */
! static const uint64 sha384_initial_hash_value[8] = {
  	0xcbbb9d5dc1059ed8ULL,
  	0x629a292a367cd507ULL,
  	0x9159015a3070dd17ULL,
***************
*** 258,264 ****
  };
  
  /* Initial hash value H for SHA-512 */
! const static uint64 sha512_initial_hash_value[8] = {
  	0x6a09e667f3bcc908ULL,
  	0xbb67ae8584caa73bULL,
  	0x3c6ef372fe94f82bULL,
--- 258,264 ----
  };
  
  /* Initial hash value H for SHA-512 */
! static const uint64 sha512_initial_hash_value[8] = {
  	0x6a09e667f3bcc908ULL,
  	0xbb67ae8584caa73bULL,
  	0x3c6ef372fe94f82bULL,
